Bug 218257 - postinstall scriptlet fail
postinstall scriptlet fail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: njb-sharp (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 02:51 EST by Chien-Chung Yeh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 14:15:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chien-Chung Yeh 2006-12-04 02:51:11 EST
Description of problem:
When upgrade "njb-sharp" package, it fail in "postinstall scriptlet".

Version-Release number of selected component (if applicable):
0.3.0-6.fc6

How reproducible:
Always

Steps to Reproduce:
1. rpm -Uvh njb-sharp-0.3.0-6.fc6.i386.rpm
2.
3.
  
Actual results:
Error message:
"/var/tmp/rpm-tmp.44184: line 1: /usr/bin/monodoc: No such file or directory
error: %post(njb-sharp-0.3.0-6.fc6.i386) scriptlet failed, exit status 127"

Expected results:
Upgrade without error.


Additional info:
%post: Replace the following line:
            /usr/bin/monodoc --make-index > /dev/null
            To:
            [ -x /usr/bin/monodoc ] && /usr/bin/monodoc --make-index > /dev/null
Comment 1 Linus Walleij 2006-12-04 14:15:46 EST
Hm, something fishy here, the package has:

Requires(post): monodoc
Requires(postun): monodoc

But I guess this can happen anyway, so I've added
the check.
Comment 2 Chien-Chung Yeh 2006-12-05 01:33:15 EST
Package "monodoc-1.1.18-2.fc6" in FC6 does not contain file "/usr/bin/monodoc".

Note You need to log in before you can comment on or make changes to this bug.